import * as tslib_1 from "tslib";
import { IgrHorizontalRangeCategorySeries } from "./igr-horizontal-range-category-series";
import { RangeAreaSeries } from "./RangeAreaSeries";
/**
 * Represents a IgxDataChartComponent range area series.
*/
var IgrRangeAreaSeries = /** @class */ (function (_super) {
    tslib_1.__extends(IgrRangeAreaSeries, _super);
    function IgrRangeAreaSeries(props) {
        return _super.call(this, props) || this;
    }
    IgrRangeAreaSeries.prototype.createImplementation = function () {
        return new RangeAreaSeries();
    };
    Object.defineProperty(IgrRangeAreaSeries.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgrRangeAreaSeries.prototype, "isAreaOrLine", {
        /**
         * Gets whether the current series shows an area or line shape.
        */
        get: function () {
            return this.i.cj;
        },
        enumerable: true,
        configurable: true
    });
    return IgrRangeAreaSeries;
}(IgrHorizontalRangeCategorySeries));
export { IgrRangeAreaSeries };
